{ lib
, python3
}: let
  pname = "smart_importer";
  version = "0.5";
in python3.pkgs.buildPythonApplication {
  inherit pname version;

  src = python3.pkgs.fetchPypi {
    inherit pname version;
    sha256 = "sha256-n0mBayg3Ny/5eHByonDnqpDeErv3tDhp577cCoM6l1I=";
  };

  format = "pyproject";

  propagatedBuildInputs = [
    python3.pkgs.beancount
    python3.pkgs.scikit-learn
    python3.pkgs.numpy
  ];

  buildInputs = [
    python3.pkgs.setuptools
    python3.pkgs.setuptools_scm
  ];

  meta = {
    homepage = "https://github.com/beancount/smart_importer";
    description = "Augment Beancount importers with machine learning functionality";
    license = lib.licenses.mit;
    maintainers = [ lib.maintainers.minion3665 ];
  };
}
